summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn McNamara <john.mcnamara@intel.com>2017-07-03 14:21:04 +0100
committerThomas Monjalon <thomas@monjalon.net>2017-07-10 00:46:38 +0200
commit0667319395899e0cbf155f0307d14214356358ac (patch)
tree21bad925c5348f390a463f3275bfa0bb60b944ac
parente6d902be09733ca5a00e3e3d80429e6fad4ced40 (diff)
downloaddpdk-0667319395899e0cbf155f0307d14214356358ac.zip
dpdk-0667319395899e0cbf155f0307d14214356358ac.tar.gz
dpdk-0667319395899e0cbf155f0307d14214356358ac.tar.xz
doc: add libnuma as dependency
Add libnuma as a dependency to the Linux Getting Started Guide since it is a new requirement in DPDK 17.08+. Fixes: 1b72605d2416 ("mem: balanced allocation of hugepages") Signed-off-by: John McNamara <john.mcnamara@intel.com>
-rw-r--r--doc/guides/linux_gsg/sys_reqs.rst4
1 files changed, 3 insertions, 1 deletions
diff --git a/doc/guides/linux_gsg/sys_reqs.rst b/doc/guides/linux_gsg/sys_reqs.rst
index 3a28c9e..af7a931 100644
--- a/doc/guides/linux_gsg/sys_reqs.rst
+++ b/doc/guides/linux_gsg/sys_reqs.rst
@@ -50,7 +50,7 @@ for more information on the required changes.
Compilation of the DPDK
-----------------------
-**Required Tools:**
+**Required Tools and Libraries:**
.. note::
@@ -84,6 +84,8 @@ Compilation of the DPDK
x86_x32 ABI is currently supported with distribution packages only on Ubuntu
higher than 13.10 or recent Debian distribution. The only supported compiler is gcc 4.9+.
+* libnuma-devel - library for handling NUMA (Non Uniform Memory Access).
+
* Python, version 2.7+ or 3.2+, to use various helper scripts included in the DPDK package.